"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.completeSsmName = void 0;
const chalk = require("chalk");
const shared_1 = require("../../../shared");
const ask_1 = require("../../../shared/interactive/ask");
function completeSsmName(name, hints = {}) {
    return __awaiter(this, void 0, void 0, function* () {
        const parts = name.split("/");
        const lastIsUpper = parts.slice(-1)[0].toUpperCase() === parts.slice(-1)[0];
        if (!lastIsUpper) {
            console.log(chalk `\n- The last component of the name is intended -- {italic by convention} -- to be UPPERCASE.\n  Therefore we will convert your name to ${nameToUpper(parts)} with your permission.\n`);
            const answer = yield ask_1.ask(shared_1.confirmQuestion({ name: "continue", message: "Continue?" }));
            if (!answer.continue) {
                console.log();
                process.exit();
            }
        }
        if (parts.length === 2) {
            return `/${hints.stage || "dev"}/${hints.version || 1}/${nameToUpper(parts)}`;
        }
        if (parts.length > 2) {
            if (Number.isInteger(parts[1])) {
                return nameToUpper(parts);
            }
            else {
                console.log(chalk `\nThe SSM variable {italic name} does not appear to be correctly formatted. The format\nshould be:\n`);
                console.log(chalk `/{dim [stage]}/{dim [version]}/{dim [moduleName]}/{dim [VAR NAME]}\n`);
                console.log(chalk `In most cases the best strategy is just to state the module name and final\nvariable name and let the autocomplete do the rest.`);
                process.exit(1);
            }
        }
    });
}
exports.completeSsmName = completeSsmName;
function nameToUpper(parts) {
    return [...parts.slice(0, parts.length - 1), parts.slice(-1)[0].toUpperCase()].join("/");
}
