"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.askToSaveConfig = void 0;
const inquirer = require("inquirer");
const shared_1 = require("../../shared");
var SaveChoice;
(function (SaveChoice) {
    SaveChoice["project"] = "save to project's config (avail to all repo users)";
    SaveChoice["user"] = "save as my personal default (saved to ~/do.config.js)";
    SaveChoice["doNotSave"] = "do not save";
})(SaveChoice || (SaveChoice = {}));
/**
 * Asks the user if they'd like to save information to their project or user
 * `do.config.js` file.
 */
function askToSaveConfig(configPath, value, descriptor = "this") {
    return __awaiter(this, void 0, void 0, function* () {
        const question = {
            type: "list",
            name: "saveTo",
            message: `Would you like to save ${descriptor} to your do-devops config?`,
            default: SaveChoice.project,
            choices: [SaveChoice.project, SaveChoice.user, SaveChoice.doNotSave],
        };
        const answer = yield inquirer.prompt(question);
        if (answer.saveTo !== SaveChoice.doNotSave) {
            shared_1.saveToConfig(configPath, value, answer.saveTo === SaveChoice.project ? "project" : "user");
        }
        return answer.saveTo;
    });
}
exports.askToSaveConfig = askToSaveConfig;
