"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.saveToConfig = void 0;
const set = require("lodash.set");
const shared_1 = require("../../shared");
const shared_2 = require("../../shared");
/**
 * saves a value to the configuration file
 *
 * @param path the path in the config to write to
 * @param value the value to set
 * @param projectOrUser 'project' or 'user'
 */
function saveToConfig(path, value, projectOrUser) {
    return __awaiter(this, void 0, void 0, function* () {
        const filename = shared_1.getConfigFilename(projectOrUser);
        const config = set(yield shared_1.getConfig(projectOrUser), path, value);
        console.log({ config });
        shared_2.writeConfig(config, projectOrUser);
    });
}
exports.saveToConfig = saveToConfig;
